Bug 836310 - [abrt] system-config-language-1.3.5-10.fc17: yumRepo.py:848:_getFile:NoMoreMirrorsRepoError: failure: repodata/d9fa5d4885c905d387c40f434edb304d1591f056865f4e6eb423cca661737a1d-primary.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.
[abrt] system-config-language-1.3.5-10.fc17: yumRepo.py:848:_getFile:NoMoreMi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
abrt_hash:c28fe81c569665f9403ca12ca03...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 12:34 EDT by Bug Reporter
Modified: 2012-08-07 04:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 04:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bug Reporter 2012-06-28 12:34:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/share/system-config-language/system-config-language.py
executable:     /usr/share/system-config-language/system-config-language.py
kernel:         3.3.4-5.fc17.i686
time:           Do 31 Mai 2012 11:36:06 CEST
uid:            0
username:       root

backtrace:
:yumRepo.py:848:_getFile:NoMoreMirrorsRepoError: failure: repodata/d9fa5d4885c905d387c40f434edb304d1591f056865f4e6eb423cca661737a1d-primary.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-language/language_gui.py", line 179, in okClicked
:    self.apply()
:  File "/usr/share/system-config-language/language_gui.py", line 269, in apply
:    if not install.is_group_installed(grpid, self.mainWindow):
:  File "/usr/share/system-config-language/gui_install.py", line 81, in is_group_installed
:    if not self.comps.has_group(grpid):
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1026, in <lambda>
:    comps = property(fget=lambda self: self._getGroups(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 896, in _getGroups
:    self.pkgSack
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 175, in populate
:    db_fn = repo._retrieveMD(mydbtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1619, in _retrieveMD
:    size=thisdata.size)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 848, in _getFile
:    raise Errors.NoMoreMirrorsRepoError, errstr
:NoMoreMirrorsRepoError: failure: repodata/d9fa5d4885c905d387c40f434edb304d1591f056865f4e6eb423cca661737a1d-primary.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.
:
:Local variables in innermost frame:
:relative: 'repodata/d9fa5d4885c905d387c40f434edb304d1591f056865f4e6eb423cca661737a1d-primary.sqlite.bz2'
:e: URLGrabError(256, 'No more mirrors to try.')
:start: None
:dirstat: posix.statvfs_result(f_bsize=4096, f_frsize=4096, f_blocks=13092922L, f_bfree=12256516L, f_bavail=12125483L, f_files=3276800L, f_ffree=3190655L, f_favail=3190655L, f_flag=4096, f_namemax=255)
:text: 'fedora/primary_db'
:self: <yum.yumRepo.YumRepository object at 0x8bf4ccc>
:cache: True
:reget: 'simple'
:avail: 49665978368L
:headers: ()
:checkfunc: (<bound method YumRepository.checkMD of <yum.yumRepo.YumRepository object at 0x8bf4ccc>>, ('primary_db',), {})
:errstr: 'failure: repodata/d9fa5d4885c905d387c40f434edb304d1591f056865f4e6eb423cca661737a1d-primary.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.'
:copy_local: 1
:url: None
:end: None
:local: '/var/cache/yum/i386/17/fedora/d9fa5d4885c905d387c40f434edb304d1591f056865f4e6eb423cca661737a1d-primary.sqlite.bz2'
:size: '12150697'

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 5110bb66-d939-4ed0-800e-42abb30ee28f
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.UTF-8
:Plattform: i686
:BogoMIPS: 3324.90
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM)2 Duo CPU     T5450  @ 1.66GHz
:CPU-Stepping: 13
:CPU Familie: 6
:CPU-Modellnummer: 15
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 1667
:Systemspeicher: 2016
:System-Swap: 4063
:Anbieter: Notebook
:System: MIM2280 Not Applicable
:Form-Faktor: Other
:Kernel: 3.4.3-1.fc17.i686
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10290:4209:33319) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4332:33078:4209:33319) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:16930:32902:4097) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG Network Connection
:(32902:10307:4209:33319) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(32902:10309:4209:33319) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:4209:33319) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10261:4209:33319) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(4318:1061:4209:33319) pci, nouveau, VIDEO, G86 [GeForce 8600M GS]
:(32902:10315:4209:33319) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10281:4209:33319) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10289:4209:33319) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10302:4209:33319) pci, None, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:9288:4209:33319) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10288:4209:33319) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10292:4209:33319) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4209:33319) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(32902:10752:4209:33319) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4209:33319) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10320:4209:33319) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10294:4209:33319) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4209:33319) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_jesus-lv_root / ext4 4096 4096 13091841 11240570 11109537 3276800 3094610 3094610
:/dev/sda1 /boot ext4 1024 1024 508644 403115 377515 128016 127619 127619
:/dev/mapper/vg_jesus-lv_home /home ext4 4096 4096 46706493 11232962 8894556 11698176 11531579 11531579
:
Comment 1 Pravin Satpute 2012-06-29 00:10:21 EDT
This is problem with yum repos or internet connection.

system-config-language install packages for to properly display selected language.

Let me know whether your 

$yum install "any package name"

works or not.
Comment 2 Pravin Satpute 2012-07-24 05:35:46 EDT
ping
Comment 3 Pravin Satpute 2012-07-26 02:37:00 EDT
i can see this is related with yum configuration.
closing for now. please reopen if any problem.

It will be useful if you can provide steps to reproduce.
Comment 4 Pravin Satpute 2012-08-07 04:27:00 EDT
please reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.